<?php
   //solicitamos archivo de conexion a mysql
   require_once('../conf/connection.php');
 
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $numero=stripslashes($_GET["numero"]);
	  $mesa=stripslashes($_GET["mesa"]);
	  $cliente=stripslashes($_GET["cliente"]);
	  $direccion=stripslashes($_GET["direccion"]);
	   $descuento=stripslashes($_GET["descuento"]);
	  $fecha=date("Y-m-d");
	date_default_timezone_set("America/Buenos aires" ) ; 
$hora = date('h:i a',time() - 3600*date('I')); 

$query_mesa="SELECT * FROM mesa WHERE num_mesa='$mesa'";
$rs_query_mesa=mysql_query($query_mesa);
$nom_mesa=mysql_result($rs_query_mesa,0,"nombre_mesa");
		
	
$query_suma="SELECT  SUM(valor_total) AS total_venta  FROM detalles_pedido WHERE numero='$numero'";
$rs_query_suma=mysql_query($query_suma);
$total_venta=mysql_result($rs_query_suma,0,"total_venta");
$propina=$total_venta*(10/100);
$total_dsc=$total_venta-$descuento;
$total_p=$total_venta+$propina;
$miarchivo=fopen($archivo."precuenta.txt","w");//abrir archivo, nombre archivo, modo apertura

fwrite($miarchivo,"                PIZZERIA 'RIO ITALIA' " . PHP_EOL); //TITULO
fwrite($miarchivo,"                  +56 9 87331050 " . PHP_EOL); //TITULO
fwrite($miarchivo,"                    VALDIVIA " . PHP_EOL); //TITULO
fwrite($miarchivo,"                  BENEFICIENCIA # 27  " . PHP_EOL); //TITULO

fwrite($miarchivo,"              ****	PRECUENTA  ***      " . PHP_EOL); //TITULO
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo,"     PEDIDO ".$numero);fwrite($miarchivo," DE LA MESA ".$nom_mesa . PHP_EOL) ;
fwrite($miarchivo,"     CLIENTE: ".$cliente . PHP_EOL ); //fECHA 
fwrite($miarchivo,"     DIRECCION: ".$direccion . PHP_EOL ); //fECHA 
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION

fwrite($miarchivo,"    FECHA: ".$fecha . PHP_EOL ); //fECHA 
fwrite($miarchivo,"    HRS: ".$hora . PHP_EOL ); //HORA

fwrite($miarchivo,"    DETALLES". PHP_EOL ); //inicio del detalle del tiket
fwrite($miarchivo," "  . PHP_EOL ); //SALTO DE LINEA
 
fwrite($miarchivo,"    PRODUCTO");fwrite($miarchivo,"            CANTIDAD");fwrite($miarchivo,"      TOTAL" . PHP_EOL) ;//CABESA DE LA TABLA
fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
//INICIO DEL BUCLE 

            $buscar='select  *, SUM(cantidad) as cant, SUM(valor_total) as valor 
		   from detalles_pedido where numero like \'%'.$numero.'%\' group by grupo, idplatos ';
  		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{			
				while($row=mysql_fetch_assoc($r))
				{ 
					 $plato=$row["idplatos"];
					 $query="SELECT * FROM platos WHERE idplatos='$plato'";
 					 $rs_query=mysql_query($query);
					  $idgrupos=mysql_result($rs_query,0,"idgrupos");
					 $nombre=mysql_result($rs_query,0,"descrip_plato");
                     $cart_nom=strlen($nombre);
					 		
					 
					 $cantidad=1;
					 $cart_cant=strlen($cantidad);
					 
					 $total=$row["valor"];	
					 $cart_total=strlen($total);
					 //mostraamos las variables 
					 
					 fwrite($miarchivo,"    ".$nombre);
                     for($l_cant=$cart_nom;$l_cant<=26;$l_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$cantidad);
                     for($r_cant=$cart_cant;$r_cant<=7;$r_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$total.  PHP_EOL );
                     
					 
			if($idgrupos==4 or $idgrupos==6 or $idgrupos==7 or $idgrupos==8 or $idgrupos==9 or $idgrupos==10 or $idgrupos==11  )
		            {
						$query_obs1="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$numero'";
 		  			 $rs_query_obs1=mysql_query($query_obs1);
		   			 
					 while($row1=mysql_fetch_assoc($rs_query_obs1))
						{ //Procesamos cada registro como
 					 $obs1=$row1["obs"]; 
					 fwrite($miarchivo,"       ".$obs1.  PHP_EOL );
					 
					 	 
						}
					 
						}else{
					 $query_obs="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$numero'";
 		  			 $rs_query_obs=mysql_query($query_obs);
		   			 
					 while($rows=mysql_fetch_assoc($rs_query_obs))
						{ //Procesamos cada registro como

						 $obs=$rows["obs"]; if($obs==""){ 
						 
						 }else{ 
					     fwrite($miarchivo,"      - ".$obs.  PHP_EOL );}
						}
                   
					}		
					 
					 
				}
			   fwrite($miarchivo,"    --------------------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
               fwrite($miarchivo,"    SUBTOTAL                         ".$total_venta.  PHP_EOL );
			   fwrite($miarchivo,"    DESCUENTO                        ".$descuento.  PHP_EOL );
			   fwrite($miarchivo,"    TOTAL                            ".$total_dsc.  PHP_EOL );
			   fwrite($miarchivo,"    PROPINA SUGERIDA (10%)           ".$propina.  PHP_EOL );
			   fwrite($miarchivo,"    TOTAL + PROPINA                  ".$total_p.  PHP_EOL );
			   fwrite($miarchivo,"    "  . PHP_EOL );			}
			   fwrite($miarchivo,"    ***** Gracias Por su preferencia ******** "  . PHP_EOL );
			   fwrite($miarchivo,"    ***** pizzeriarioitalia@gmail.com ******* "  . PHP_EOL );
			   fwrite($miarchivo,"    ***** Diceño: virtualsurchile EIRL ****** "  . PHP_EOL );

//FIN DEL BUCLE


fclose($miarchivo); //cerrar archivo

  
  
						?> 
                         <script>window.history.back();</script>